%define	name	xlHtml
%define	version	0.2.6
%define	release	3
%define	serial	1

%define	colever	2.0.1
%define	colerel	3

Summary:	Excel 95/97 to html converter.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
License:	GPL
Group:		Applications/Text
URL:		http://www.xlhtml.org/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	%{name}-cole >= %{colever}

%description
The xlHtml program will take an Excel 95, or 97 file as input and
convert it to html. The output is via standard out so it can be re-directed
to files or piped to filters or used as a gateway to the internet.

%package	cole
Version:	%{colever}
Release:	%{colerel}
Summary:	cole is a free C OLE library.
Group:		System Environment/Libraries
URL:		http://arturo.directmail.org/filtersweb
Vendor:		Roberto Arturo Tena Sanchez <arturo@directmail.org>
Conflicts:	cole, cole-devel

%description	cole
Using cole, you can access Microsoft' `Structured Storage' files. The most
popular Microsoft's programs generate `Structured Storage' files, incluiding
the Microsoft' suite for offices. StarDivision' suite (StarOffice) generated
files and FlashPix files are `Structured Storage' files too.

%prep
%setup -q
%configure --prefix=/usr

%build
make

# Copy gpdemo to contrib to be included in examples.
cp -p xlHtml/gpdemo xlHtml/contrib

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Install COLE binaries
install -m 755 cole-config	    $RPM_BUILD_ROOT/usr/bin/
install -m 755 utils/cole_extract   $RPM_BUILD_ROOT/usr/bin/
install -m 755 utils/cole_isfs	    $RPM_BUILD_ROOT/usr/bin/
install -m 755 utils/cole_isfs_fast $RPM_BUILD_ROOT/usr/bin/
install -m 755 utils/cole_tree	    $RPM_BUILD_ROOT/usr/bin/

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc xlHtml/contrib xlHtml/ChangeLog xlHtml/README xlHtml/THANKS xlHtml/TODO
/usr/bin/nsopen
/usr/bin/nspptview
/usr/bin/nsxlview
/usr/bin/pptHtml
/usr/bin/xlHtml

%files	cole
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog* DOWNLOAD INSTALL NEWS README* THANKS TODO
%doc doc/cole-manual
/usr/bin/cole-config
/usr/bin/cole_extract
/usr/bin/cole_isfs
/usr/bin/cole_isfs_fast
/usr/bin/cole_tree
/usr/include/cole
/usr/lib/libcole.a
/usr/lib/libcole.so*
/usr/share/aclocal/cole.m4

%changelog
* Thu Nov 2 2001 Peter Hanecak <hanecak@megaloman.com>
  [xlHtml-0.2.6-3]
- %%{_tmppath} used
- s/Copyright/License
- .bz2 source archiv
- updated URL
- used 'make DESTDIR=$RPM_BUILD_ROOT' instead of
  'make prefix=$RPM_BUILD_ROOT/usr'

* Mon Dec 27 1999 Ryan Weaver <ryanw@infohwy.com>
  [xlHtml-0.2.6-1]
- xlHtml is now self-scaling to whatever xls file you are viewing
- More Unicode fixups
- Added -m command line option to suppress multibyte
- Added -asc & -dp commandline options to get ascii output and dump
  spreadsheet parameters.
- Added -xp -xc -xr commandline options to extract a range of columns
  and rows on a page. This will facilitate integration with gnuplot.
- Fixed RK floating point bug
- Increased precision from 6 digits to 15 digits.

* Mon Dec  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [xlHtml-0.2.4-1]
- Added Cell Merging capabilities
- Added -te command line option to "trim the edges" (empty rows or
  columns at the edges of a worksheet).
- Added the contributed excel2text script to let mutt clients see xls 
  attachments
- Added a -v command line switch for version information
- Added code to optimize font size statements similar to font face
- Fixed Unicode bugs in font name and sheet name - Thanks Hironori !

  [xlHtml-cole-2.0.1-2]
- Re-wrote the cole_fread function. Changes were submitted to Arturo.

* Mon Nov 15 1999 Ryan Weaver <ryanw@infohwy.com>
- separated cole into a subpackage.

  [xlHtml-0.2.2-1]
- Fixed problem with date calculation
- Fixed cells that had a string with only spaces in it
- Unicode, unicode, unicode
- Fixed a formula handling error for Excel 95
- Many little bug fixes
- Ported to Borland C++ 5.0 under Win32

* Fri Oct 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [xlHtml-0.2.0-1]
- Initial RPM Build.
- See ChangeLog for more details.

